import { MINTLIFY_ICONS_CDN_URL as e } from "../constants/index.js";
import { FONT_AWESOME_BRANDS as o } from "../constants/brands.js";
import { getIconKey as u } from "./shiki/snippet-presets.js";
const p = (r, t, s) => {
  if (s === "lucide")
    return `${e}/lucide/v0.545.0/${r}.svg`;
  const n = a(r);
  return n || (l(r) ? `${e}/v7.1.0/brands/${r}.svg` : `${e}/v7.1.0/${t ?? "regular"}/${r}.svg`);
}, l = (r) => r ? o.includes(r.toLowerCase()) : !1, a = (r) => {
  const t = u(r);
  return t ? `${e}/devicon/${t}.svg` : null;
}, f = [
  "brands",
  "duotone",
  "light",
  "regular",
  "sharp-duotone-solid",
  "sharp-light",
  "sharp-regular",
  "sharp-solid",
  "sharp-thin",
  "solid",
  "thin"
];
export {
  f as ICON_TYPES,
  p as getIconUrl,
  a as getLanguageIconUrl,
  l as isBrandsIcon
};
